Page MenuHomePhabricator

Decide on what settings and extensions are eligible for inclusion
Closed, ResolvedPublic

Description

So we can provide the interns a definitive list, we need to decide what settings and extensions we want to "open up" to stewards, and whether they can be automatically applied or not.

cook879 created this task.Jul 3 2016, 12:33 PM
DeltaQuad triaged this task as High priority.Dec 19 2016, 12:14 AM
DeltaQuad added a subscriber: DeltaQuad.

This is important for wiki creators/founders

SamanthaNguyen removed cook879 as the assignee of this task.Jun 8 2017, 12:05 AM
In T65#2171, @DeltaQuad wrote:

This is important for wiki creators/founders

Agreed.

For me, I think that it should come down to this:

  • Any and all userrights/user groups that do not disclose private information and/or pose security risks
  • Any and all extensions that do not disclose private information and/or pose security risks
CJC added a subscriber: CJC.Jun 11 2017, 9:08 PM

For me, I think that it should come down to this:

  • Any and all userrights/user groups that do not disclose private information and/or pose security risks

This is already handled by Special:UserRights and so would be outside of the scope of the extension

SamanthaNguyen closed this task as Resolved.EditedOct 21 2017, 4:14 AM
SamanthaNguyen claimed this task.
SamanthaNguyen added a subscriber: SamanthaNguyen.

For what we're concerned of, this has been basically resolved on the internal wiki - this can also be dynamically determined by checking if the configuration is public or private. Also see {T227} (private task)